package com.javacodegeek.ejbarchitecture;

import javax.ejb.ActivationConfigProperty;
import javax.ejb.MessageDriven;
import javax.jms.Message;
import javax.jms.MessageListener;

/**
 * Created by georges on 4/15/18.
 */

@MessageDriven(mappedName = "jms/Queue",
        activationConfig = {
                @ActivationConfigProperty(propertyName = "destinationType", propertyValue = "javax.jms.Queue"),
                @ActivationConfigProperty(propertyName = "destination", propertyValue = "java:/queue/testqueue")
        })

public class MessageDrivenBean implements MessageListener {
    
    public MessageDrivenBean() {
    }

    public void onMessage(Message message) {
        System.out.println("Message received.");
    }
}
